### Function

# ECal ComponentId new_take

since: 3.34

#### Declaration [src]

    ECalComponentId*
    e_cal_component_id_new_take (
      gchar* uid,
      gchar* rid
    )

#### Description [src]

Creates a new `ECalComponentId` from `uid` and `rid`, which should be freed with e_cal_component_id_free(). The function assumes ownership of `uid` and `rid` parameters.

Available since: 3.34

#### Parameters

`uid`

  Type: `gchar*`

  A unique ID string.

  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `gchar*`

  An optional recurrence ID string.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentId`

An `ECalComponentId`.

The caller of the function takes ownership of the data, and is responsible for freeing it.